import { PolylineEdge, PolylineEdgeModel } from "@logicflow/core";

class FlowLinkModel extends PolylineEdgeModel {
  getEdgeStyle() {
    const style = super.getEdgeStyle();
    style.strokeWidth = 1;
    style.stroke = this.isSelected ? "#ff7f0e" : "#999";
    return style;
  }
  setAttributes() {
    this.isAnimation = true;
  }
  getEdgeAnimationStyle() {
    const style = super.getEdgeAnimationStyle();
    style.strokeDasharray = "5 5";
    style.animationDuration = "60s";
    return style;
  }
}
class FlowLink extends PolylineEdge {}

export default {
  type: "ai-link",
  view: FlowLink,
  model: FlowLinkModel,
};
